Subject: [bug#53008] [PATCH 0/3] Add plugins to Thunar

From: Ludovic Courtès <[email-masked]>
Date: Sat, 08 Jan 2022 23:26:50 +0100

Hi,

Simon Streit <[email-masked]> skribis:

> I've been trying to package some plugins for Thunar.  Unfortunately these
> plugins are not loaded, or are not found in Thunar, and so far I can't see
> why.  There are no errors to begin with.  A guess would be missing path
> declarations from, maybe, pkg-config.  Though the libs are residing in
> ../lib/thunarx-3, where they should be.

Can you check in Thunar itself how those plugins are searched for and
loaded?

If it’s plain ‘dlopen’, then they’ll have to be in $LD_LIBRARY_PATH.

HTH,
Ludo’.